Method: brands.locations.requestLaunch

  • Initiates the process to make a location available to users.

  • A location can only undergo one launch process concurrently.

  • If a location hasn't been launched before, its status is set to PENDING upon request.

  • The request uses a POST method to the specified business communications API endpoint.

Begins the launch process for a location. A location is available to users after it launches. A location can only have one instance of launch at a time. If the location hasn't been launched previously, sets the launch status to PENDING.

HTTP request

POST https://businesscommunications.googleapis.com/v1/{name=brands/*/locations/*}:requestLaunch

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The unique identifier of the location. If the brand identifier is "1234" and the location identifier is "5678", this parameter resolves to "brands/1234/locations/5678".

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of LocationLaunch.